<template>
 <div class="contractDetails">
    <page-title>返回</page-title>
    <div class="form">
      <div class="form_box">
       <dil-form :formId="140" v-model="form1"></dil-form>
      </div>
    </div>

    <div class="button_box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
import { getCookie } from "@/utils/util.js";
import { sjTime } from "@/utils/sharedJsFile";
export default {
  components: { PageTitle },
    data(){
          return {
          form1: {},
        }
    },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑批车作业 渲染数据
      this.axios
        .post("/api/v1/tms/getApproveWagonPleaseById/" + this.$route.params.resultId)
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
          });
        });
    },
     // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    // 确认
    onClickConfirm() {
      let approveWagonPlease = {
        resultId: this.$route.params.resultId,
        resultApproveDate: sjTime(this.form1.resultApproveDate),
        resultApproveNumber: this.form1.resultApproveNumber,
        // shipperId: this.form1.shipperId,
        resultCategory: this.form1.resultCategory,
        userId:getCookie("orgCode"),
      };
      function isNumber() {
        var value = approveWagonPlease.resultApproveNumber;
        //验证是否为数字
        var patrn = /^(-)?\d+(\.\d+)?$/;
        if (patrn.exec(value) == null || value == "") {
          return false;
        } else {
          return true;
        }
      }
      var val = this.value;
      if (
        approveWagonPlease.resultApproveDate==null||
        approveWagonPlease.resultApproveNumber==null||
        // approveWagonPlease.shipperId==null||
        approveWagonPlease.resultCategory==null
      ) this.$message.error("存在空值！");
      else
      if (!isNumber(val)) this.$message.error("请车数必须是数字！");
      else
      this.axios
        .post("/api/v1/tms/updateApproveWagonPlease", approveWagonPlease)
        .then(() => {
          this.$message({
            type: "success",  
            message: "修改成功!",
          });
          this.$router.go(-1);
        });
    },
  },
};
</script>
<style lang="scss">
.contractDetails {
  .form {
    display: flex;
    .form_box {
      width: 340px;
      margin-left: 35%;
      margin-top: 30px;
      margin-right: 20px;
      .el-form {
        .preview-group {
          .el-form-item {
            .el-form-item__label {
              display: inline-block;
              width: 70px !important;
            }
            .el-form-item__content {
              .el-select {
                width: 250px;
              }
              .el-input {
                width: 250px;
              }
            }
          }
        }
      }
    }
  }
  .button_box {
    margin-left: 42%;
    margin-top: 55px;
  }
}
.fromOther {
  margin-left: 34.5%;
  width: 50%;
  .inline-input {
    width: 300px;
  }
}
</style>